Share Button

if you have upgraded to new version of Thesis OpenHook plugin, then you must have noticed that all of your earlier customization code has been wiped out. If you haven’t yet upgraded to Thesis OpenHook 3, then you better not do it for time being. Many people have accidently wiped out all of their code which they had put in hooks of earlier version. Below is what you should do to resolve the issue of new version of Thesis OpenHook 3 and more important, how to downgrade back to the previous version of Thesis OpenHook 2.

thesis openhook 3 upgrade error issues

 

Don’t Click “Delete Legacy Options” in Thesis OpenHook 3 (The OpenHook Customizations Manager). It will wipe out your earlier customization code forever.

If you have upgraded to Thesis OpenHook3 and unable to see the customization code which you had put earlier, then try the below steps;

Solution to Thesis OpenHook Upgrade Issues

  1. Go to Set­tings –> Open­Hook.
  2. Click Upgrade from OpenHook 2.
  3. Now check if you are able to restore back the earlier customization code. Now, you can click The­sis and/or Word­Press actions groups from the same page and can continue using the new version of Thesis OpenHook 3. Hopefully, there should not be any more problems any further.

Another way to resolve the issue is to downgrade back to the previous version. Just perform the below mentioned steps to downgrade to earlier version of Thesis OpenHook 2.x.x.

How to Downgrade to Thesis OpenHook 2 and Get the Lost Hooks and Code Back

  • Deactivate the new version of Thesis OpenHook 3 (The OpenHook Customizations Manager) from the installed plugins screen.
  • Delete the plugin files completely.
  • Download the previous working version of Thesis OpenHook from here. You can pick up the version 2.3.2.
  • Install this previous version of Thesis OpenHook plugin from the plugin screen –> upload option.
  • Activate the plugin.
  • Check and confirm you are able to access the earlier hooks and the customization code.

Not able to Downgrade Thesis OpenHook to Previous Version (error – destination folder thesis-openhook already exist

If you are getting the above error during installation of previous version of Thesis OpenHook 2, then please login to the file manager (backend). You may need to use the login id and password of your hosting account.

For example, if you are using hostgator web hosting, then you can login to the control panel and go to File Manager.

  • In the File Manager, go to the path wp-content->plugins.
  • On the right hand side, you will see a folder titled “thesis-openhook” from the earlier installed version of the plugin. Just rename this folder to thesis-openhook-old.
  • Again, go back to the previous section and follow the steps to upload and install the Thesis OpenHook version 2.x.x as you were doing earlier.

Now, you must be able to upload, install and activate the Thesis OpenHook 2.3.2 version without any problem.

Am sure, above steps will help you to resolve the error and issues related to Thesis OpenHook 3 upgrade to new version and you will be able to downgrade without much of problems.

Share Button

Related Posts :

3 Responses to “Thesis OpenHook 3 Plugin Upgrade Code Lost Issue [Solution]”

  1. Thank you so much for these instructions. I lost my custom header and footer with the OpenHook 3.0 update. I am very grateful that you took the time to share the steps to downgrade to the previous version. Worked perfectly!

    Reply
  2. Thank you so much Manider! I had to do the downgrade as well and am grateful you linked to the previous version (2.3.2) of Thesis Openhook so I could downgrade. We had lost a great deal of code we built using the plugin.

    Reply